Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 574596 - <www-client/firefox-38.6.1: arbitrary code execution in bundled graphite library (CVE-2016-1523)
Summary: <www-client/firefox-38.6.1: arbitrary code execution in bundled graphite libr...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major with 1 vote (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks: CVE-2016-1521, CVE-2016-1522, CVE-2016-1523, CVE-2016-1526
  Show dependency tree
 
Reported: 2016-02-13 02:28 UTC by Andrey Ovcharov
Modified: 2016-05-31 05:55 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ovcharov 2016-02-13 02:28:26 UTC
New version firefox ESR is out https://www.mozilla.org/en-US/firefox/38.6.1/releasenotes/ at February 11, 2016 fix CVE-2016-1523 Please bump it!
Comment 1 Mike Limansky 2016-02-13 07:57:17 UTC
The issue description https://www.mozilla.org/en-US/security/advisories/mfsa2016-14/
Comment 2 Sergey Popov gentoo-dev Security 2016-02-13 13:28:55 UTC
This is a security issue, reassigning
Comment 3 Jory A. Pratt gentoo-dev 2016-02-14 19:36:41 UTC
(In reply to Sergey Popov from comment #2)
> This is a security issue, reassigning

Firefox-38.6.1 is in tree, feel free to stabilize it.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-02-15 03:49:34 UTC
Arches please stabilize.
Comment 5 Agostino Sarubbo gentoo-dev 2016-02-15 10:22:30 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2016-02-15 10:23:12 UTC
x86 stable
Comment 7 Jeroen Roovers gentoo-dev 2016-02-17 06:18:56 UTC
Stable for HPPA.
Comment 8 Jeroen Roovers gentoo-dev 2016-02-17 14:46:19 UTC
Stable for PPC64.
Comment 9 Markus Meier gentoo-dev 2016-02-19 16:56:02 UTC
no stable keywords for arm
Comment 10 Ian Stakenvicius gentoo-dev 2016-02-19 18:09:46 UTC
mail-client/thunderbird{,-bin}-38.6.0 also contains the fixes for this too; stabilization has been requested in bug 573074 already though.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2016-03-14 08:18:31 UTC
CVE-2016-1523 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1523):
  The SillMap::readFace function in FeatureMap.cpp in Libgraphite in Graphite
  2 1.2.4, as used in Mozilla Firefox before 43.0 and Firefox ESR 38.x before
  38.6.1, mishandles a return value, which allows remote attackers to cause a
  denial of service (missing initialization, NULL pointer dereference, and
  application crash) via a crafted Graphite smart font.
Comment 12 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-14 08:22:21 UTC
Added to existing GLSA.  This will be mitigated when stabilization occurs in bug 576862.
Comment 13 Tobias Klausmann gentoo-dev 2016-03-16 09:22:32 UTC
Stable on alpha.
Comment 14 Agostino Sarubbo gentoo-dev 2016-03-16 12:06:53 UTC
ppc stable
Comment 15 GLSAMaker/CVETool Bot gentoo-dev 2016-05-31 05:55:46 UTC
This issue was resolved and addressed in
 GLSA 201605-06 at https://security.gentoo.org/glsa/201605-06
by GLSA coordinator Yury German (BlueKnight).